# javax.naming.directory

## Interfaces

- Attribute
- Attributes
- DirContext

## Classes

- BasicAttribute
- BasicAttributes
- InitialDirContext
- ModificationItem
- SearchControls
- SearchResult

## Exceptions

- AttributeInUseException
- AttributeModificationException
- InvalidAttributeIdentifierException
- InvalidAttributesException
- InvalidAttributeValueException
- InvalidSearchControlsException
- InvalidSearchFilterException
- NoSuchAttributeException
- SchemaViolationException